I am running AutoCAD Map 3D 2011. When i use the ID command to acquire x,y coordinates by snapping to an object, it gives me only one decimal place. When i do the command out in space, it gives me 4 decimal spaces. I need to get at least two decimal places while snapping to objects. Examples below:
id command (out in space, not using osnap)
X = 4006431.3366 Y = 359556.5635
id command (snapping to entity)
X = 4006252.3000 Y = 360712.5000
by the way, my units precision is set to .00 and it doesnt seem to make any difference with the id command.
I have used stringer connect in the past and it seemed that my traverse shots (which went to four decimal places 0.0000) that were in my raw file were converted to a fbk file and it held the decimal places. Now when I use it, the program rounds my shots to three decimal places (0.000) which changes the locations just slightly. I don't think I changed any settings deliberately. How can I get my four decimal places back?
My professor wants all of our dimensions to have 2 decimals places except for a few that he wants to have 3 decimal places. How do I change those few to have 3 places while everything else has 2?
Why does the Round() function require that the number of decimal places be either a number or an object if you want to use a variable? It seems that a Single should work here, but iLogic won't accept it.
See sample code below which is rounding off dimension values. If I dim the variable "somenumber" as Single or Double, I get this error message from the Round() function: "Overload resolution failed because no accessible 'Round' can be called without a narrowing conversion."
When I dim "somenumber" as an object it works, but this seems unnecessary when all it is storing is a single digit number. Why wouldn't Single or Double work for this variable?
Here's the code snippet:
'Dim Current Sketch & Count Constraints Dim oSketch As Sketch = ThisApplication.ActiveEditObject Dim oDimCount As Single = oSketch.DimensionConstraints.Count
How to change the number of decimal places of the elevation of points?
as the points are labeled with their elevations, I couldn’t find how the number of the decimal places of the elevation be chosen. In this case, I wanted to let the number of the decimal places to be zero.
How to set the number of the decimal places to be zero or 1, for example? how to sepcify it height (size)?
I have a couple of strange angles and moving parts going on in an assembly. there is 1 constraint i am happy for inventor to predict the offset for. the problem is I am using other constraints i later want to bin, to pin it in position then try to apply this constraint. it looks like the predict offset tick box only measures to 3 dp, so as soon as i apply this constraint my model goes sick. I have to take a measurment and copy and place the measurment with all dp's into the constraint to make it work.
Is there a setting to specify the predict offset number of decimal places?
The defaul label style for the Elevation of points is set to 3 decimal places. We are trying to change the elevation display to 2 decimal places. We have tried the directions in the following discussion: [URL].......
Which is:
Toolspace
->Settings -->Drawing name --->Edit Drawing Settings ---->Ambient Settings ----->Elevation ------>Precision -> We modify from 3 to 2 decimal places.
It does not modify the display settings.
Also:
Toolspace
->Settings -->Drawing --->Point ---->Label Styles ----->(right-click) Edit label styles ------>Layout ------->Text -------->Contents --------->click on the "..." (three points) button
(Open "Text Component Editor - Contents"
--------->Select Point Elevation in the driop down list. ---------->Precision: Set to 0.01 ------------>Ok, Apply, etc...
I'm wondering if it's possible to change the decimal place accuracy to default to only rounded numbers i.e. 1mm instead of 1.325. I want EVERYTHING to snap to the nearest mm (Axis, Dimensions etc.) rather than 1.233 for example.
Yes, I can manually type into the dims / axis boxes everytime but thats a chore.
I work with ANGTOS and ANGTOF quite a bit. I'm working with latitude and longitude conversions in MAP 3D for an application where accuracy is top priority. Most of the time ANGTOS (and RTOS, for that matter) return an accurate result for the number if decimal places requested, but then I run into a situation like this:
I was trying to use the guides to make a triangle and everything was fine until I used a third guide on one of the triangles points (2 guides; 1 at 90 degrees and 1 at 60 degrees). When I used the dimension tool on it to measure from the bottom of the page to that point, the measurement did not match the numbers in the 90 degree guide's info. It was like .0000007 or .00000007 inches off. I know that's not much but I really needed precision for my particular drawing and I dont know how to get more accurate measurements with the program rounding to the nearest 6th decimal place (the highest setting on drawing precision). If it says it's centered in the intersection, then why do I see a tiny micro right triangle when I zoom in?
So we have started some work overseas and I have been trying to make sense of the metric units in CAD. Metric units in general, make way more sense then imperial units but how they work in CAD has been confusing.
I am familiar with the UNITS command and have changed the drawing units to "decimal" and the insertion units to "unitless"
I know that when you draw a 1 unit line in model space it could represent a 1 millimeter line or a 1 meter line and that it is up to the drafter to decide what it will be. I also am familiar with setting up dim styles to dimension correctly based off of whether you are drawing in meters or millimeters.
I have set my Adobe pdf printer to A1 23.4" X 33.1" (594mm x 841mm). when I draw a 1 unit line in paper space and print the layout the 1 unit line measures 1 inch?
without reiterating a lot of what is said in this thread: [URL] ......
This happen outside the potential malware infection?
if you care to not click-through, the problem is that certain commands (not all of them) simply do not disply in the command line. so the MOVE command for example looks like this:
I just got AUTOCAD 2013 and I have problem using MOVE command. With my previous version AUTOCAD I was able to move one by one every line from the object I created. Now with the new version when I use MOVE command, not only one line is moved, it is moved the whole object (Like the object is a block, but is not).
How can I move only one single object from my drawing?
After I choose named UCS, the view rotates accordingly. Sometimes having named UCS as orthogonal works but I still prefer having world axis as orthogonal in my monitor. How to change default?
my command bar is stuck in the middle of my screen and it won't allow me to dock it at the bottom of the screen. Nor will it allow me to move or resize it(They're both grayed out.). Yes, the allow docking toggle is enabled and it does allow anchoring both left and right. I've tried everything I could find through F1.
I have been using the MVSetup command to adjust a view port orientation however when I do this the Pickfirst command is changed to 0 - it was only by chance I discovered this and was able to change it back. Also, is there a command to reset all changes made through MVSetup in a viewport ?
I'm a designer working for a company that specializes in pressure vessels. I accidentally stumbled upon a Youtube video showing the capabilities of the 'pv' pressure vessel command.
I used to have my ribbon and commandline next to each other but now whenever I try and put them back next to each other it always ends up with one on top or one on the bottom. I added a picture to try and explain this!
I'm using the ED command in AutoCAD 2012. I have my texts verticals, but I want to edit them in horizontal position, however when I active the command and I select the text, the edit option appears in vertical position. What can I do to control this option? Is there some variable to control this option?
Why is my command-bar limited to just 80 characters, when by the looks of it, it could easily fit 200 characters in before having to use a second line of text?
I often want to copy the filepath of the current .dwg and paste it into explorer, but it only pastes the first line of text!
See attached .jpg or text below
Your current drawing filepath is M:196493-CADOPV 3-Entwurf 5 PVModelLAG_AUS_1989_0000_LAGEP_BAUP_XXXXXXXX_MS001_20130321-Synthesis-Plan-Of- pipelines_AB.dwg. command:)
If AMVISIBLE has been discontinued in 2010? I know that I have used it in 2010, but now is says "unknown command". I didn't see it listed in the command reference here on Autodesk's website either. I'm thinking that a service pack discontinued it. I used it for the occasions where the viewport border disappears. Now I have to go through a Rube Goldberg procedure using Qselect.
We are looking to upgrade from AutoCAD 2009 to V2012 and I have a copy for testing purposes.We have several custom commands linked to menu icons for added symbols such as a gate valve, ball valve etc.
Most of these use the following command
^C^C^C^P(setq #prompt T #bname "V:/blocks/pefs/bfl")(princ);BBLOCK^P;
I've worked out that"V:/blocks/pefs/bfl is the location of the block drawing and is stored in #bname, the #prompt is set to tell the block (#bname) to break the line and insert, or, if nil instead of T, then just insert the block over the line. When I click on the icon when using AutoCAD V2012 I get
unknown command "BBLOCK"
but it works just fine in 2009. I can see no reference to BBLOCK and can only assume it is a variable of some sort. I've spent hours searching the forums to no avail.
A company I used to work for had a custom set of dimensioning tools in the tool palettes. We had issues with people dimensioning on the wrong layers and they included an instruction(?) in these custom commands to dimension using the correct layer i.e. current layer set to 'Border', select custom linear dim command and dim is drawn in 'Dimension' layer.
My question is, what to add to the macro in the properties when creating such a command button to do this? ^C^C_dimlinear <add something here to use a specific layer?>
I'm working on this model and I am trying to use the surface trim command in cad 2011, but its not working and its pissing me off. I want to use the trim and use the dome in my model as the cutting edge to cut the parts of the curved walls that fall inside the dome but it is not working. I have the file uploaded.
How to repeat a command with options used previously? For example, I create Arc with "Start End Radius". If I repeeat command pressing spacebar or enter, an arc creates with options by default ("3-point").